Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JDialog

    java.lang.Object
      charva.awt.Component
          charva.awt.Container
              charva.awt.Window
                  charva.awt.Dialog
                      charvax.swing.JDialog

All Implemented Interfaces:
  java.lang.Runnable

public class JDialog
extends Dialog

In the CHARVA package, the JDialog provides exactly the same functionality as the Dialog. The subclassing is done to maximize compatibility with the equivalent Swing version of JDialog.

Field Summary

Fields inherited from class charva.awt.Window
`_term`

Fields inherited from class charva.awt.Container
`_components, _currentFocus, _insets, _isValid, _layoutMgr, _minimumSize, _size`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JDialog()` Default constructor, creates a JDialog without a specified Frame owner.
`JDialog(Dialog owner_)`
`JDialog(Dialog owner_, java.lang.String title_)`
`JDialog(Frame owner_)` Creates a modal dialog without a title and with a Frame owner.
`JDialog(Frame owner_, java.lang.String title_)`

Method Summary
`void` | `debug(int level_)`
`Container` | `getContentPane()` Returns a reference to "this" (CHARVA doesn't distinuish between "content panes", "root panes" and suchlike).
`void` | `setLocationRelativeTo(Component component_)` Sets the location of the dialog to be centered over the specified component.

Methods inherited from class charva.awt.Dialog
`draw, isModal, setModal, setTitle`

Methods inherited from class charva.awt.Window
`addWindowListener, adjustLocation, getLocationOnScreen, getOwner, hide, isDisplayed, isFocusTraversable, pack, processEvent, processWindowEvent, run, show`

Methods inherited from class charva.awt.Container
`add, add, doLayout, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getCurrentFocus, getHeight, getInsets, getSize, getWidth, invalidate, isValid, minimumSize, nextFocus, previousFocus, processKeyEvent, remove, requestFocus, setBackground, setFocus, setForeground, setHeight, setLayout, setSize, setSize, setWidth, validate`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getName, getParent, hasFocus, isEnabled, isTotallyObscured, isVisible, processFocusEvent, processMouseEvent, repaint, requestSync, setBounds, setBounds, setBounds, setEnabled, setLocation, setLocation, setName, setParent, setVisible, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDialog

    public JDialog()

  Default constructor, creates a JDialog without a specified Frame owner.

### JDialog

    public JDialog(Frame owner_)

  Creates a modal dialog without a title and with a Frame owner.

### JDialog

    public JDialog(Frame owner_,
                   java.lang.String title_)

### JDialog

    public JDialog(Dialog owner_)

### JDialog

    public JDialog(Dialog owner_,
                   java.lang.String title_)

Method Detail

### getContentPane

    public Container getContentPane()

  Returns a reference to "this" (CHARVA doesn't distinuish between "content panes", "root panes" and suchlike).

### setLocationRelativeTo

    public void setLocationRelativeTo(Component component_)

  Sets the location of the dialog to be centered over the specified component. This must be called AFTER the size of the dialog has been set, and the size and location of the specified component has been set.

### debug

    public void debug(int level_)

  Overrides:
    `debug` in class `Dialog`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD